package com.wooshpay.param;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class BasePaymentIntentParam {
    @JsonProperty("payment_method_options")
    protected PaymentMethodOptions paymentMethodOptions;

    @JsonProperty("payment_method_data")
    protected PaymentMethodData paymentMethodData;
    @JsonProperty("error_on_requires_action")
    protected Boolean errorOnRequiresAction;

    /**
     * shipping
     */
    protected Shipping shipping;
    @JsonProperty("payment_method_types")
    protected List<String> paymentMethodTypes;
    @JsonProperty("payment_method")
    protected String paymentMethodId;

    protected Map<String, String> metadata;
    /**
     * The quantity of the items being purchased.
     */
    private Integer quantity;

}
