package com.wooshpay.param;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @Author: liuyidao
 * @Description: 
 * @Date: 17:19 2022/3/16
 */
@Data
public class CardPaymentMethod {
    /**
     * auto
     * any
     * void
     */
    @JsonProperty("request_three_d_secure")
    private String requestThreeDSecure = "auto";


    /**
     *  manual
     *  automatic
     */
    @JsonProperty("capture_method")
    private String captureMethod = "automatic";

    private String client;
}
