package com.wooshpay.service;

import cn.hutool.http.Method;
import com.wooshpay.enums.ReasonEnum;
import com.wooshpay.param.RefundParam;
import com.wooshpay.vo.RefundVO;
import org.junit.Test;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
/**
 * @Author: liuyidao
 * @Description:
 * @Date: 17:19 2022/3/16
 */
@Service
public class RefundsService extends BaseService {

    public String getAuthorization(){
        //This is your test secret API key.
        String name = "sk_test_dGVzdF9jaGVja291dDIyMjpJM3FwY2t5V1NuWVRnNnFPT3JEbXN2aUU=";
        String password = "";
        String sk = "Basic " + new String(Base64.getEncoder().encode((name + ":" + password).getBytes(StandardCharsets.UTF_8)));
        System.out.println(sk);
        return sk;
    }

    @Test
    public void refunds() throws IOException {
        String url ="/v1/refunds";
        RefundParam param = new RefundParam();
        param.setPaymentIntent("pi_1537277786568261632");
        //param.setAmount(12l);
        param.setReason(ReasonEnum.FRAUDULENT.getCode());
        String response = request(url, Method.POST,param);
        RefundVO refundVO = mapper.readValue(response, RefundVO.class);
    }

    @Test
    public void query() throws IOException {
        String url ="/v1/refunds/re_1531255828219166720";
        String response = request(url, Method.GET);
        RefundVO refundVO = mapper.readValue(response, RefundVO.class);
    }
}
