package com.wooshpay.vo;

import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.Email;

/**
 * @author zhujuntao
 * @date 2022/3/8 14:27
 * @description
 */
@Data
public class BillingDetails {
    @Valid
    private BillingDetailsAddress address;
    @Email(message = "payment_method_data.billingDetails.email is invalid")
    private String email;
    private String name;
    private String phone;
}
