package com.wooshpay.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.Map;

/**
 * @author zhujuntao
 * @date 2022/5/5 14:47
 * @description
 */
@Data
public class PaymentMethodVO extends BasicVO {

    @JsonProperty("billing_details")
    private BillingDetails billingDetails;

    private String customer;

    private String type;

    private Map<String, String> metadata;

    private CardVO card;

    private Boolean livemode = false;
}
