package com.wooshpay.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.Map;

/**
 * @Author: liuyidao
 * @Description: 
 * @Date: 16:07 2022/3/1
 */
@Data
public class RefundVO extends BasicVO {
    @JsonProperty("payment_intent")
    private String paymentIntent;

    private Long amount;

    private String currency;

    private Map<String,String> metadata;

    private String reason;

    private String status;

    @JsonProperty("failure_reason")
    private String failureReason;

    private String description;
}
