package com.wooshpay.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author zhujuntao
 * @date 2022/3/15 15:23
 * @description
 */
@Data
public class WebhookVO extends BasicVO {

    @JsonProperty("api_version")
    private String apiVersion;

    private String description;

    @JsonProperty("enabled_events")
    private List<String> enabledEvents;

    private Map<String,String> metadata;

    private String secret;

    private String status;

    private String url;

    private Boolean livemode;
}
