package com.wooshpay.enums;

/**
 * @Author: liuyidao
 * @Description: 原因枚举
 * @Date: 19:39 2022/3/1
 */
public enum ReasonEnum {
    DUPLICATE("duplicate", "重复"),
    FRAUDULENT("fraudulent", "欺骗"),
    REQUESTED_BY_CUSTOMER("requested_by_customer", "客服要求"),
    ;

    private String code;

    private String desc;

    ReasonEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }


    public String getDesc() {
        return desc;
    }

}