package com.wooshpay.enums;

/**
 * @Author: liuyidao
 * @Description: 确认方式枚举
 * @Date: 19:39 2022/3/1
 */
public enum Request3DSEnum {
    AUTO("auto", "系统自动决定 默认"),
    VOID("void", "不需要"),
    ANY("any", "需要"),
    ;

    private String code;

    private String desc;

    Request3DSEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }


    public String getDesc() {
        return desc;
    }

    public static boolean isValidEnum(String code) {
        for (Request3DSEnum myEnum : Request3DSEnum.values()) {
            if (myEnum.getCode().equals(code)) {
                return true;
            }
        }
        return false;
    }
}