package com.wooshpay.param;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @author zhujuntao
 * @date 2022/3/8 10:40
 * @description
 */
@Data
public class CardParam {
    @JsonProperty("number")
    private String cardNumber;
    @JsonProperty("exp_month")
    private String expirMonth;
    @JsonProperty("exp_year")
    private String expirYear;
    private String cardType;
    @JsonProperty("name")
    private String holderName;
    private String cvc;
    @JsonProperty("address_country")
    private String addressCountry;
    @JsonProperty("address_line1")
    private String addressLine1;
    @JsonProperty("address_line1_check")
    private String addressline1Check;
    @JsonProperty("address_line2")
    private String addressLine2;
    @JsonProperty("address_state")
    private String addressState;
    @JsonProperty("address_zip")
    private String addressZip;
    @JsonProperty("address_zip_check")
    private String addressZipCheck;
    private String brand;
    @JsonProperty("cvc_check")
    private String cvcCheck;
    private String fingerprint;
    private String funding;
    private String last4;
}
