package com.wooshpay.param;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author zhujuntao
 * @date 2022/3/15 15:02
 * @description
 */
@Data
public class CreateWebhookParam {
    @JsonProperty("enabled_events")
    //@NotEmpty(message = "enabledEvents must not be empty")
    private List<String> enabledEvents;

    //@NotNull(message = "url must not be null")
    private String url;

    @JsonProperty("api_version")
    private String apiVersion;

    private String description;

    private Map<String, String> metadata;
}
