package com.wooshpay.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @author zhujuntao
 * @date 2022/5/5 14:51
 * @description
 */
@Data
public class CardVO extends BasicVO {

    @JsonProperty("address_city")
    private String addressCity;

    @JsonProperty("address_country")
    private String addressCountry;

    @JsonProperty("address_line1")
    private String addressLine1;
    @JsonProperty("address_line1_check")
    private String addressLine1Check;
    @JsonProperty("address_line2")
    private String addressLine2;
    @JsonProperty("address_state")
    private String addressState;
    @JsonProperty("address_zip")
    private String addressZip;
    @JsonProperty("address_zip_check")
    private String addressZipCheck;
    private String brand;
    private String country;
    private String customer;
    @JsonProperty("cvc_check")
    private String cvcCheck;
    @JsonProperty("exp_month")
    private Integer expMonth;
    @JsonProperty("exp_year")
    private Integer expYear;
    private String fingerprint;

    /**
     * credit/debit
     */
    private String funding;
    private String last4;
    private String name;

}
